Bug 203306 - [PATCH] devel/awscli: update to 1.8.13
Summary: [PATCH] devel/awscli: update to 1.8.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-09-24 09:53 UTC by Bradley T. Hughes
Modified: 2015-10-27 08:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (alexey)


Attachments
patch (3.87 KB, text/plain)
2015-09-24 09:53 UTC, Bradley T. Hughes
no flags Details
awscli poudriere testport log (267.79 KB, text/plain)
2015-09-24 09:53 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (121.77 KB, text/plain)
2015-09-24 09:54 UTC, Bradley T. Hughes
no flags Details
py-jmespath poudriere testport log (12.57 KB, text/plain)
2015-09-24 09:54 UTC, Bradley T. Hughes
no flags Details
updated patch (3.87 KB, patch)
2015-10-20 11:17 UTC, Bradley T. Hughes
no flags Details | Diff
awscli poudriere testport log (270.13 KB, text/plain)
2015-10-20 11:18 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (128.68 KB, text/plain)
2015-10-20 11:19 UTC, Bradley T. Hughes
no flags Details
py-jmespath poudriere testport log (12.72 KB, text/plain)
2015-10-20 11:19 UTC, Bradley T. Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2015-09-24 09:53:18 UTC
Created attachment 161328 [details]
patch

Update to the latest release of awscli and its dependencies. Attached are a patch (as a git commit) and poudriere testport logs for each port.

Runtime dependencies have been updated after inspecting the upstream requirements.

See also https://github.com/bradleythughes/freebsd-ports/commit/e63e75a94d18f6f187e80b46f5213b1bc82ebbf6
Comment 1 Bradley T. Hughes freebsd_committer 2015-09-24 09:53:54 UTC
Created attachment 161329 [details]
awscli poudriere testport log
Comment 2 Bradley T. Hughes freebsd_committer 2015-09-24 09:54:26 UTC
Created attachment 161330 [details]
py-botocore poudriere testport log
Comment 3 Bradley T. Hughes freebsd_committer 2015-09-24 09:54:50 UTC
Created attachment 161331 [details]
py-jmespath poudriere testport log
Comment 4 Bradley T. Hughes freebsd_committer 2015-10-20 11:17:39 UTC
Created attachment 162238 [details]
updated patch

Updated patch to bring in latest upstream releases.

See also https://github.com/bradleythughes/freebsd-ports/commit/3077a448111c3b20cfcdf902598037227acb44c9
Comment 5 Bradley T. Hughes freebsd_committer 2015-10-20 11:18:55 UTC
Created attachment 162239 [details]
awscli poudriere testport log
Comment 6 Bradley T. Hughes freebsd_committer 2015-10-20 11:19:26 UTC
Created attachment 162240 [details]
py-botocore poudriere testport log
Comment 7 Bradley T. Hughes freebsd_committer 2015-10-20 11:19:50 UTC
Created attachment 162241 [details]
py-jmespath poudriere testport log
Comment 8 Bradley T. Hughes freebsd_committer 2015-10-20 11:20:29 UTC
I have attached updated poudriere testport logs.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 11:22:40 UTC
Need to run these through portlint -C 

USES values are unsorted, at least. Minor nit I know.
Comment 10 Bradley T. Hughes freebsd_committer 2015-10-20 11:43:30 UTC
I have USE_PORTLINT=yes in my poudriere.conf, but apparently it doesn't actually use portlint.

Results:

$ portlint -C /usr/ports/devel/awscli
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.

$ portlint -C /usr/ports/devel/py-botocore/
WARN: Makefile: [20]: the options to USE_PYTHON are not sorted.  Please consider sorting them.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 2 warnings found.

$ portlint -C /usr/ports/devel/py-jmespath/
WARN: Makefile: [16]: the options to USE_PYTHON are not sorted.  Please consider sorting them.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 2 warnings found.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 11:47:37 UTC
Perhaps it uses a different set of default flags, or a minor regression. Report upstream?
Comment 12 Bradley T. Hughes freebsd_committer 2015-10-20 11:54:31 UTC
I found them. They are written to separate files :)
Comment 13 commit-hook freebsd_committer 2015-10-27 08:34:29 UTC
A commit references this bug:

Author: wen
Date: Tue Oct 27 08:33:55 UTC 2015
New revision: 400222
URL: https://svnweb.freebsd.org/changeset/ports/400222

Log:
  - Update to 0.9.0

  PR:		203306
  Submitted by:	bradleythughes@fastmail.fm
  Approved by:	maintainer(timeout, >30 days)

Changes:
  head/devel/py-jmespath/Makefile
  head/devel/py-jmespath/distinfo
Comment 14 commit-hook freebsd_committer 2015-10-27 08:44:31 UTC
A commit references this bug:

Author: wen
Date: Tue Oct 27 08:44:06 UTC 2015
New revision: 400223
URL: https://svnweb.freebsd.org/changeset/ports/400223

Log:
  - Update to 1.2.11
  - Update RUN_DEPENDS

  PR:		203306
  Submitted by:	bradleythughes@fastmail.fm
  Approved by:	maintainer(timeout, >30 days)

Changes:
  head/devel/py-botocore/Makefile
  head/devel/py-botocore/distinfo
Comment 15 commit-hook freebsd_committer 2015-10-27 08:55:34 UTC
A commit references this bug:

Author: wen
Date: Tue Oct 27 08:54:47 UTC 2015
New revision: 400224
URL: https://svnweb.freebsd.org/changeset/ports/400224

Log:
  - Update to 1.8.13
  - Update RUN_DEPENDS

  PR:		203306
  Submitted by:	bradleythughes@fastmail.fm
  Approved by:	maintainer(timeout, >30 days)

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
Comment 16 Bradley T. Hughes freebsd_committer 2015-10-27 08:56:45 UTC
Thanks! :D